%define upstream_name    Attribute-Util
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Attribute interface to Memoize.pm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Attribute/%{upstream_name}-%{upstream_version}.tar.gz
# From https://rt.cpan.org/Public/Bug/Display.html?id=74232
Patch0:     Attribute-Util-1.06-perl516.patch

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Memoize)
BuildArch: noarch


%description
When used without argument, this module provides four universally
accessible attributes of general interest as follows:

* Abstract

  See the Attribute::Abstract manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-3.mga3
+ Revision: 363219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 1.60.0-2.mga3
+ Revision: 336064
- Add patch for perl 5.16 from RT 74232

* Tue Jan 18 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 23175
- cleaning spec file
- imported package perl-Attribute-Util

